Protect PDF
Add a password to your PDF files to prevent unauthorized access. Encrypt your sensitive documents online for free with our secure PDF protection tool.
Accepted formats
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| files[] | file | Yes | File(s) to convert |
| password | string | Yes | PDF password |
Code example
curl -X POST "https://gurupdf.com/api/v1/convert/protect-pdf" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "files[]=@/path/to/document.pdf" \
-F "password=your-password"